SYNOPSIS
        void rename_object(object ob, string new_name)

DESCRIPTION
        Give the object <ob> a new object name <new_name>. Causes a privilege
        violation. The new name must not contain a # character, except
        at the end, to avoid confusion with clone numbers.

HISTORY
        Introduced in 3.2@55.

SEE ALSO
        creator(E), object_name(E), load_name(E).
